package com.caimei.mapper.cmMapper;

import com.caimei.model.po.CmBrandAuthPo;
import com.caimei.model.po.LdmDataPo;
import com.caimei.model.po.TownPo;
import com.caimei.model.vo.AuthFormVo;
import com.caimei.model.vo.AuthVo;
import com.caimei.model.vo.TemplateVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Aslee
 * @date : 2021/5/11
 */
@Mapper
public interface AuthMapper {

    List<AuthVo> getAuthList(@Param("listType") Integer listType, @Param("authUserId") Integer authUserId, @Param("authParty") String authParty, @Param("mobile") String mobile, @Param("status") Integer status, @Param("starFlag")  Integer starFlag, @Param("auditStatus") Integer auditStatus, @Param("lowerAuditStatus") Integer lowerAuditStatus, @Param("shopAuditStatus") Integer shopAuditStatus, @Param("sendStatus") Integer sendStatus);

    void updateAuthStatusByAuthId(@Param("authId") Integer authId, @Param("status") Integer status);

    void deleteAuthByAuthId(Integer authId);

    void insertAuth(CmBrandAuthPo auth);

    void updateAuthByAuthId(CmBrandAuthPo auth);

    Integer getProductWaitAuditNum(Integer authId);

    void updateAuthAuditStatus(@Param("authId") Integer authId, @Param("status") Integer status, @Param("auditStatus") Integer auditStatus, @Param("invalidReason") String invalidReason, @Param("auditBy") Integer auditBy, @Param("auditTime") Date auditTime);

    Integer getClubStatus(Integer authId);

    AuthFormVo getAuthFormById(Integer authId);

    Integer getAuthIdByAuthParty(@Param("authParty") String authParty, @Param("authUserId") Integer authUserId);

    List<AuthFormVo> getAuthPartyList(@Param("authIds") String authIds);

    void deleteBanner(Integer authId);

    void insertBanner(@Param("authId") Integer authId, @Param("banner") String banner);

    List<String> getBannerList(Integer authId);

    List<LdmDataPo> getLdmData();

    Integer getProvinceId(String provinceName);

    Integer getCityId(String cityName);

    Integer getTownId(String townName);

    Integer getLdmLatestClubId();

    void updateLdmLatestClubId(Integer ldmLatestClubId);

    Integer getCityIdByTownId(Integer townId);

    String getProvinceName(String regId1);

    String getCityName(String regId1);

    String getTownName(String regId1);

    List<TownPo> getTownList(String townName);

    Integer getProvinceIdByCityId(Integer cityId);

    List<AuthVo> getAuthByNameAndAddress(@Param("authParty") String authParty, @Param("address") String address);

    void updateRemarks(@Param("authId") Integer authId, @Param("remarks") String remarks);

    AuthFormVo getAuthBaseInfo(@Param("authUserId") Integer authUserId, @Param("authId") Integer authId);

    AuthVo getAuthById(Integer authId);

    void updateAuthShopAuditStatus(@Param("authId") Integer authId, @Param("status") Integer status, @Param("shopAuditStatus") Integer auditStatus, @Param("shopInvalidReason") String invalidReason, @Param("shopAuditBy") Integer auditBy, @Param("shopAuditTime") Date auditTime);

    List<String> getTownNames();

    List<String> getProvinceNames();

    List<String> getCityNames(Integer ProvinceId);

    Integer getCityIdByProvinceId(@Param("provinceId")Integer provinceId,@Param("cityName") String cityName);

    String getProvinceNameById(Integer provinceId);

    String getCityNameByCityId(Integer cityId);

    String getTownNameById(Integer townId);

    void updateSendStatus(Integer authId);

    Integer getAdminUserId();

    TemplateVo getAuthTemplate(@Param("authId") Integer authId, @Param("authUserId") Integer authUserId, @Param("templateType") Integer templateType);

    void updateAuthImage(CmBrandAuthPo auth);

    List<CmBrandAuthPo> getAllAuth(Integer authUserId);

    void checkAuth(Integer authId);

    void starAuth(@Param("authId") Integer authId, @Param("starFlag") Integer starFlag);

    void addScanCount(Integer authId);
}
